Bug 998459 - Review Request: rubygem-paint - Terminal painter
Review Request: rubygem-paint - Terminal painter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
: 886871 (view as bug list)
Depends On:
Blocks: 998915
  Show dependency treegraph
 
Reported: 2013-08-19 07:21 EDT by Miroslav Suchý
Modified: 2013-09-04 21:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: rubygem-paint-0.8.6-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 21:27:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2013-08-19 07:21:58 EDT
Spec URL: http://miroslav.suchy.cz/fedora/rubygem-paint/rubygem-paint.spec
SRPM URL: http://miroslav.suchy.cz/fedora/rubygem-paint/rubygem-paint-0.8.6-2.fc19.src.rpm
Description:
Paint manages terminal colors and effects for you. It combines the strengths
of term-ansicolor, rainbow and other similar projects into a simple to use,
however still flexible terminal colorization gem with no core extensions by
default.

Fedora Account System Username: msuchy
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5828832
Comment 1 Mamoru TASAKA 2013-08-25 03:33:31 EDT
Taking.
Taking. I will appreciate it if you would review one of my review requests (e.g. bug 912961 : note that bug 912961 depends on bug 912960  )
Comment 2 Mamoru TASAKA 2013-08-26 01:25:11 EDT
Some initial comments:

* MRI specfic Requires:
  - Does "BuildRequires: ruby >= 1.8.7" mean that BR really
    needs MRI ruby?

* Virtual (Build)Requires preferred
  - Please use rubygem(rspec) instead of rubygem-rspec.

? Perhaps unneeded commands
  - Please check if
    cp -pr spec/ ./%{gem_instdir}
    is really needed.

* Main documents
  - At least "LICENSE.txt" should be main package, because
    this contains license information
  - Also I recommend to move "README.rdoc" to main, because
    this is "README".
  - _I_ would also move CHANGELOG.rdoc to main.

* Unwanted documents
  - Files for test suite like spec/ should not be in
    binary rpm: (see "Do not ship test" at below)
    https://fedoraproject.org/wiki/Packaging:Ruby?rd=Packaging/Ruby#Running_test_suites

  - Also "Rakefile" is something like "Makefile" in
    autotool-based packages and usually this is not needed
    in binary rpm.

? Duplicate review request
  - Please contact the submitter of bug 886871 .
Comment 3 Miroslav Suchý 2013-08-26 07:52:14 EDT
*** Bug 886871 has been marked as a duplicate of this bug. ***
Comment 4 Miroslav Suchý 2013-08-26 09:23:59 EDT
> * MRI specfic Requires:
Not needed, I was specified in gemspec. And it seems that author just wanted to say ruby higher the 1.8. And since that is valid on all current Fedoras, plain
Requires: ruby(release) is enough.

> * Virtual (Build)Requires preferred
Fixed.


> ? Perhaps unneeded commands
It works without that as well. Hmm, why I added that? Could not recall. Removing.

> * Main documents
I moved LICENSE and README. I choosed to keep CHANGELOG in -doc.

> * Unwanted documents
Those test are not in main package (this is what Guideliness are saying).
They are presented in -doc subpackage (which does all other rubygems package as well). This is IMO good as test are in fact often good examples how to use that library. The same for Rakefile.

> Please contact the submitter of bug 886871.
Aha, did not noticed that. Jstribrny sits in the same cubicle as me, I will tell him as soon as hi appear in office. Closing bug 886871 as duplicate.
Comment 6 Mamoru TASAKA 2013-08-26 21:36:19 EDT
Is http://miroslav.suchy.cz/ alive?
Comment 7 Josef Stribny 2013-08-27 03:00:57 EDT
> Aha, did not noticed that.

Not a problem, continue with the packaging of this gem.

Josef
Comment 8 Mamoru TASAKA 2013-08-27 03:19:13 EDT
(In reply to Mamoru TASAKA from comment #6)
> Is http://miroslav.suchy.cz/ alive?
Now it seems alive.

Approving.
-----------------------------------------------------------
    This package (rubygem-paint) is APPROVED by mtasaka
------------------------------------------------------------
Comment 9 Miroslav Suchý 2013-08-27 03:47:25 EDT
Thanks.
Comment 10 Miroslav Suchý 2013-08-27 03:49:13 EDT
New Package SCM Request
=======================
Package Name: rubygem-paint
Short Description: Terminal painter
Owners: msuchy
Branches: f19 f20
InitialCC:
Comment 11 Gwyn Ciesla 2013-08-27 08:22:27 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-08-27 08:42:32 EDT
rubygem-paint-0.8.6-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-paint-0.8.6-3.fc19
Comment 13 Fedora Update System 2013-08-27 19:25:37 EDT
rubygem-paint-0.8.6-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-09-04 21:27:40 EDT
rubygem-paint-0.8.6-3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.